> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jobgorilla.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jobgorilla.com/_mcp/server.

# Job Boards

GET https://feed.jobgorilla.com/meta/boards

Returns a list of supported Job Boards and their details.

Reference: https://docs.jobgorilla.com/api-reference/metadata/get-job-boards

## Request

### Headers

- `X-JobGorilla-Key` (string, required)

## Response

### 200

OK

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "guid": "a3f1c9e2-7b4d-4f8a-9c2e-5d6f7a8b9c0d",
    "id": 101,
    "name": "Indeed",
    "preferences": [
      {
        "id": 1,
        "name": "postingFrequency",
        "value": "daily"
      },
      {
        "id": 2,
        "name": "maxJobDurationDays",
        "value": "30"
      }
    ]
  },
  {
    "guid": "b7d2e4f9-3c5a-4e1b-8f7d-2a9c0e6b4f3d",
    "id": 102,
    "name": "LinkedIn",
    "preferences": [
      {
        "id": 3,
        "name": "postingFrequency",
        "value": "weekly"
      },
      {
        "id": 4,
        "name": "maxJobDurationDays",
        "value": "60"
      }
    ]
  },
  {
    "guid": "c9e8f7a6-1b2c-4d3e-9f0a-7b8c6d5e4f3a",
    "id": 103,
    "name": "Glassdoor",
    "preferences": [
      {
        "id": 5,
        "name": "postingFrequency",
        "value": "biweekly"
      },
      {
        "id": 6,
        "name": "maxJobDurationDays",
        "value": "45"
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://feed.jobgorilla.com/meta/boards"

payload = {}
headers = {
    "X-JobGorilla-Key": "X-JobGorilla-Key",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://feed.jobgorilla.com/meta/boards';
const options = {
  method: 'GET',
  headers: {'X-JobGorilla-Key': 'X-JobGorilla-Key', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://feed.jobgorilla.com/meta/boards"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-JobGorilla-Key", "X-JobGorilla-Key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://feed.jobgorilla.com/meta/boards")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-JobGorilla-Key"] = 'X-JobGorilla-Key'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://feed.jobgorilla.com/meta/boards")
  .header("X-JobGorilla-Key", "X-JobGorilla-Key")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://feed.jobgorilla.com/meta/boards', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-JobGorilla-Key' => 'X-JobGorilla-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://feed.jobgorilla.com/meta/boards");
var request = new RestRequest(Method.GET);
request.AddHeader("X-JobGorilla-Key", "X-JobGorilla-Key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-JobGorilla-Key": "X-JobGorilla-Key",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://feed.jobgorilla.com/meta/boards")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```